#
# spec file for package PackageKit (Version 0.3.11)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           PackageKit
Version:        0.3.11
Release:        1.14.1
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  NetworkManager-devel PolicyKit-devel dbus-1-glib-devel fdupes gcc-c++ glib2-devel gtk-doc intltool libcppunit-devel libqt4-devel libzypp-devel perl-XML-Parser python-devel sqlite-devel
Group:          System/Daemons
Summary:        Simple software installation management software
Url:            http://packagekit.org/
Source:         %{name}-%{version}.tar.bz2
Patch:          PackageKit_release.patch
Patch1:         PackageKit_dbus_perms.patch
Patch2:         PackageKit-bnc479107-optional.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Requires:       dbus-1 libpackagekit-glib10 PolicyKit
Requires:       %{name}-lang = %{version}
PreReq:         python-base = %{py_ver}

%description
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.



Authors:
--------
    Richard Hughes <richard@hughsie.com>
    Tom Parker <palfrey@tevp.net>
    Ken VanDine <ken@vandine.org>
    Tim Lauridsen <tla@rasmil.dk>
    Luke Macken <lmacken@redhat.com>
    
    Backend: conary
        Og Maciel <omaciel@foresightlinux.org>
        Elliot Peele <elliot@bentlogic.net>
    
    Backend: pisi
        S.a&#287;lar Onur <caglar@pardus.org.tr>
    
    Backend: zypp
        Boyd Timothy <btimothy@gmail.com>
        Scott Reeves <sreeves@novell.com>

%package devel
License:        GPL v2 or later
Summary:        Needed include files and libraries for development
Requires:       %{name} = %{version}
Requires:       glib2-devel libpackagekit-glib10-devel NetworkManager-devel sqlite3-devel
AutoReqProv:    on
Group:          System/Daemons

%description devel
This package contains all necessary include files, libraries,
configuration files and development tools (with manual pages) needed to
compile and link applications using PackageKit.



Authors:
--------
    Richard Hughes <richard@hughsie.com>
    Tom Parker <palfrey@tevp.net>
    Ken VanDine <ken@vandine.org>
    Tim Lauridsen <tla@rasmil.dk>
    Luke Macken <lmacken@redhat.com>
    
    Backend: conary
        Og Maciel <omaciel@foresightlinux.org>
        Elliot Peele <elliot@bentlogic.net>
    
    Backend: pisi
        S.a&#287;lar Onur <caglar@pardus.org.tr>
    
    Backend: zypp
        Boyd Timothy <btimothy@gmail.com>
        Scott Reeves <sreeves@novell.com>

%package -n libpackagekit-glib10
License:        GPL v2 or later
Summary:        Simple software installation management software
Group:          System/Daemons
Requires:       %{name} = %{version}

%description -n libpackagekit-glib10
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.



Authors:
--------
    Richard Hughes <richard@hughsie.com>
    Tom Parker <palfrey@tevp.net>
    Ken VanDine <ken@vandine.org>
    Tim Lauridsen <tla@rasmil.dk>
    Luke Macken <lmacken@redhat.com>
    
    Backend: conary
        Og Maciel <omaciel@foresightlinux.org>
        Elliot Peele <elliot@bentlogic.net>
    
    Backend: pisi
        S.a&#287;lar Onur <caglar@pardus.org.tr>
    
    Backend: zypp
        Boyd Timothy <btimothy@gmail.com>
        Scott Reeves <sreeves@novell.com>

%package -n libpackagekit-glib10-devel
License:        GPL v2 or later
Summary:        Simple software installation management software
Group:          System/Daemons
Requires:       %{name} = %{version}
Requires:       libpackagekit-glib10 = %{version}
Requires:       glib2-devel NetworkManager-devel sqlite3-devel

%description -n libpackagekit-glib10-devel
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.



Authors:
--------
    Richard Hughes <richard@hughsie.com>
    Tom Parker <palfrey@tevp.net>
    Ken VanDine <ken@vandine.org>
    Tim Lauridsen <tla@rasmil.dk>
    Luke Macken <lmacken@redhat.com>
    
    Backend: conary
        Og Maciel <omaciel@foresightlinux.org>
        Elliot Peele <elliot@bentlogic.net>
    
    Backend: pisi
        S.a&#287;lar Onur <caglar@pardus.org.tr>
    
    Backend: zypp
        Boyd Timothy <btimothy@gmail.com>
        Scott Reeves <sreeves@novell.com>

%package -n libpackagekit-qt10
License:        GPL v2 or later
Summary:        Simple software installation management software
Group:          System/Daemons
Requires:       %{name} = %{version}

%description -n libpackagekit-qt10
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.



Authors:
--------
    Richard Hughes <richard@hughsie.com>
    Tom Parker <palfrey@tevp.net>
    Ken VanDine <ken@vandine.org>
    Tim Lauridsen <tla@rasmil.dk>
    Luke Macken <lmacken@redhat.com>
    
    Backend: conary
        Og Maciel <omaciel@foresightlinux.org>
        Elliot Peele <elliot@bentlogic.net>
    
    Backend: pisi
        S.a&#287;lar Onur <caglar@pardus.org.tr>
    
    Backend: zypp
        Boyd Timothy <btimothy@gmail.com>
        Scott Reeves <sreeves@novell.com>

%package -n libpackagekit-qt10-devel
License:        GPL v2 or later
Summary:        Simple software installation management software
Group:          System/Daemons
Requires:       %{name} = %{version}
Requires:       libpackagekit-qt10 = %{version}
Requires:       libqt4-devel

%description -n libpackagekit-qt10-devel
PackageKit is a system designed to make installing and updating
software on your computer easier.  The primary design goal is to unify
all the software graphical tools used in different distributions, and
use some of the latest technology like PolicyKit to make the process
suck less.



Authors:
--------
    Richard Hughes <richard@hughsie.com>
    Tom Parker <palfrey@tevp.net>
    Ken VanDine <ken@vandine.org>
    Tim Lauridsen <tla@rasmil.dk>
    Luke Macken <lmacken@redhat.com>
    
    Backend: conary
        Og Maciel <omaciel@foresightlinux.org>
        Elliot Peele <elliot@bentlogic.net>
    
    Backend: pisi
        S.a&#287;lar Onur <caglar@pardus.org.tr>
    
    Backend: zypp
        Boyd Timothy <btimothy@gmail.com>
        Scott Reeves <sreeves@novell.com>

%lang_package
%prep
%setup -q -n %{name}-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
# Change sr@latin to sr@Latn - all projects except pidgin and PackageKit use sr@Latn:
rename sr@latin sr@Latn po/sr@latin.*
sed -i "s/sr@latin/sr@Latn/" po/LINGUAS

%build
# uncomment out the following line if autotools should be run again (i.e.,
# one of the patches has modified configure.in/ac or a Makefile.am).
autoreconf -f -i
%configure \
	--with-security-framework=polkit \
	--enable-zypp \
	--with-default-backend=zypp
%__make %{?jobs: -j%jobs}

%install
%makeinstall
mv %{buildroot}%{_sysconfdir}/bash_completion.d/pk-completion.{ba,}sh
rm -f %{buildroot}/%{_lib}/*.a
rm -f %{buildroot}/%{_lib}/*.la
rm -f %{buildroot}/%{_libdir}/packagekit-backend/*.*a
%find_lang %{name}
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -n libpackagekit-glib10 -p /sbin/ldconfig

%post -n libpackagekit-qt10 -p /sbin/ldconfig

%postun -n libpackagekit-glib10 -p /sbin/ldconfig

%postun -n libpackagekit-qt10 -p /sbin/ldconfig

%files lang -f %{name}.lang

%files 
%defattr(-,root,root)
%dir %{_sysconfdir}/PackageKit
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%dir %{_datadir}/gtk-doc/html/PackageKit/
%dir %{_datadir}/PackageKit
%dir %{_datadir}/PackageKit/helpers
%dir %{_datadir}/PackageKit/helpers/test_spawn
%dir %{_libdir}/packagekit-backend
%dir %py_sitedir/packagekit
%dir %{_libdir}/pm-utils
%dir %{_libdir}/pm-utils/sleep.d
%dir /var/lib/PackageKit
%dir /var/run/PackageKit
%dir /lib/udev
%{_sysconfdir}/bash_completion.d/pk-completion.sh
%{_sysconfdir}/PackageKit/PackageKit.conf
%{_sysconfdir}/PackageKit/Vendor.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PackageKit.conf
%{_sysconfdir}/udev/rules.d/51-packagekit-firmware.rules
%{_bindir}/packagekit-bugreport.sh
%{_bindir}/pkcon
%{_bindir}/pkmon
%{_bindir}/pkgenpack
%{_libdir}/pm-utils/sleep.d/95packagekit
%{_libdir}/packagekit-backend/*.so
%{_libdir}/PackageKitDbusTest.py
%{py_sitedir}/packagekit/*
%{_sbindir}/packagekitd
%{_datadir}/mime/packages/packagekit-*.xml
%{_datadir}/gtk-doc/html/PackageKit/*
%{_datadir}/PackageKit/helpers/test_spawn/search-name.sh
%{_datadir}/PackageKit/pk-upgrade-distro.sh
%{_datadir}/PolicyKit/policy/org.freedesktop.packagekit.policy
%{_datadir}/dbus-1/system-services/*
/lib/udev/packagekit-firmware.sh
%verify(not md5 size mtime) /var/lib/PackageKit/transactions.db
%verify(not md5 size mtime) /var/lib/PackageKit/job_count.dat

%files devel
%defattr(-,root,root)
%dir %{_includedir}/PackageKit
%dir %{_includedir}/PackageKit/backend
%{_includedir}/PackageKit/backend/pk*.h

%files -n libpackagekit-glib10
%defattr(-,root,root)
%{_libdir}/libpackagekit-glib.so.*

%files -n libpackagekit-glib10-devel
%defattr(-,root,root)
%{_libdir}/libpackagekit-glib.so
%{_libdir}/pkgconfig/packagekit-glib.pc
%{_libdir}/libpackagekit-glib.*a
%dir %{_includedir}/PackageKit
%dir %{_includedir}/PackageKit/packagekit-glib
%{_includedir}/PackageKit/packagekit-glib/*.h

%files -n libpackagekit-qt10
%defattr(-,root,root)
%{_libdir}/libpackagekit-qt.so.*

%files -n libpackagekit-qt10-devel
%defattr(-,root,root)
%{_libdir}/libpackagekit-qt.so
%{_libdir}/pkgconfig/packagekit-qt.pc
%{_libdir}/libpackagekit-qt.*a
%dir %{_includedir}/PackageKit
%dir %{_includedir}/PackageKit/packagekit-qt
%{_includedir}/PackageKit/packagekit-qt/*
%dir %{_datadir}/cmake
%{_datadir}/cmake/Modules/*

%changelog
* Thu Apr 16 2009 sreeves@suse.de
- Fix for bnc#479107 - dont install optional patches by default
* Mon Jan 26 2009 sreeves@suse.de
- Add PackageKit_dbus_perms.patch for new restrictive dbus - BNC#470070
* Mon Nov 24 2008 sreeves@suse.de
- Move to 0.3.11
    Pull in updated translation files (.po)
    Bugfix - enable translations in all client tools
* Fri Nov 21 2008 sreeves@suse.de
- Keep the PolkitCaller to allow repeat queries faster
  Do not abort update when a repo has problems
  Add user and cmdline to the Transaction signal
  Add syslog logging to keep record of obtained auths
  Fix crash when pk-control is referenced after it's finalized
  Handle filters in what-provides
* Mon Nov 17 2008 sreeves@suse.de
- Fix the installSignature method to understand repo keys
  In pkcon update - don't attempt to do what-provides if it's not implemented
  Fix restart flag handling
  Fix segfault in the error path when files could not be installed with pkcon
  Move to 0.3.10
* Fri Nov  7 2008 sreeves@suse.de
- Add updated translation files
  Fix get_distro_upgrades
  Fix error on reuse of TIDS causing timeout on auth
  Set status when installing a signature
  Fix for BNC #431940 - packagekitd locks system management
* Tue Oct 28 2008 coolo@suse.de
- split out lang package
- do not require all of python
* Thu Oct 23 2008 sreeves@suse.de
- Split up package according to shared library policy
- Move to 0.3.9
    (from the release news...)
    Merge in QPackageKit QT library
    This release brings many, many new and updated translations.
    Print a message when we try to install a package that is already installed
    glib: Send a more precise error code when we fail a transaction
* Mon Oct 13 2008 sreeves@suse.de
- Move to 0.3.7  Bug fix release
    Fix for BNC #433889 - PackageKit crash
    Fix for BNC #402372  - reinstalls all local packages
    Don't crash the client tools if PkControl launches the daemon
    Register the mime-type x-package-list as we are using it for service packs
  Fix for BNC #422176 - non useful error notifications
* Wed Oct  8 2008 sreeves@suse.de
- Move to 0.3.6  Bug fix release
  (from the release news...)
  Remove items about to be run from the transaction list without crashing
  Make the GStreamer helper use proper GStreamer exit codes
  Set the default timeout to the maximum as dbus-glib times out after 25 seconds
  Fix a theoretical hang where we could try to reuse a exiting instance
  Unlock the backend before we send finished on ErrorCode as unlocking may take some time
  When we exit the dispatcher with 'exit' ensure we unlock if locked
  If the refresh cache fails, don't do the PkRefresh actions
  If a caller does GetTid and then crashes, the daemon should timeout the transaction
  Use environent variables rather than static instance variables to hold the debugging state,
  so that we can get access to libpackagekit debugging when linked in
  When we query the progress of a transaction, use the cached transaction values rather
  than querying the backend, as it might not be the transaction actually running
  We are allowed to cancel queued (and not running) transactions
* Mon Sep 29 2008 sreeves@suse.de
- Move to 0.3.5
    Finish support for hardware driver install - FATE #303677
* Tue Sep 23 2008 sreeves@suse.de
- Move to 0.3.4
    Start of support for hardware driver install - FATE #303677
* Fri Sep 12 2008 sreeves@suse.de
- Move to 0.3.2
    Fix udev script invocation.
    support for dispatcher
    Optionally auto-run pk-generate-package-list and pk-import-desktop
* Tue Sep  9 2008 ro@suse.de
- use py_sitedir macro in filelist
* Mon Sep  1 2008 sreeves@suse.de
- Move to 0.3.1
    distro upgrade support
* Fri Aug 22 2008 sbrabec@suse.cz
- Fixed invalid locale names.
* Mon Aug 18 2008 schwab@suse.de
- Fix name of completions file.
* Mon Aug 18 2008 sreeves@suse.de
- Move to pre-release of 0.3.0
    start of service pack and distribution upgrade support.
* Wed Jul 30 2008 coolo@suse.de
- getting it to compile (brute force)
* Fri Jul 18 2008 sreeves@suse.de
- Move to 0.2.3
    Add PkCatalog for installing catalogs
    Add source filter support.
    Allow adding and removing multiple packages at one time with pkcon
* Thu Jul  3 2008 sreeves@suse.de
- Match libzypp API change
* Wed Jun 25 2008 sreeves@suse.de
- Fix for BNC#389415 - Use generic PolicyKit
  More work on BNC#398391 - return all restart_suggested patches
    instead of one at a time.
* Tue Jun 17 2008 sreeves@suse.de
- Fix for BNC#398391 -  only show patches
    swampid for this - 18244
* Mon Jun  9 2008 sreeves@suse.de
- Fix for BNC#398367 -  dont include recommends
  Fix for BNC#398380 -  init keyring
* Sat May 24 2008 sreeves@suse.de
- Include updates from the openSUSE branch
    Update to match changed libzypp API
    BNC #390339 - rotate logs
    BNC #392435 - poor dialog
    BNC #392064 - confusing popup notifications
    BNC #390929 - crash
* Sat May 24 2008 aj@suse.de
- Follow zypp changes.
* Tue May 13 2008 sreeves@suse.de
- Fix for BNC #388165 - mark some files with verify (not)
* Fri May  9 2008 sreeves@suse.de
- Move to official upstream 0.2.1 release.
    Fix to accept multiple license prompts
    Handle signed repos - import keys.
* Thu May  1 2008 sreeves@suse.de
- Change packagekit daemon timeout to 15 seconds - BNC #374043
* Mon Apr 28 2008 sreeves@suse.de
- Move to libzypp 4.15
  Fix BNC#378342 - gpk-update-viewer crash
* Sun Apr 27 2008 coolo@suse.de
- replace deprecated zypp calls
* Thu Apr 17 2008 schwab@suse.de
- Fix configure script.
* Mon Apr 14 2008 sreeves@suse.de
- Update to version 0.2.0
    new dbus model
    change packagekitd timeout to 120 seconds
* Sat Apr  5 2008 sreeves@suse.de
- Update to version 0.1.11
    Fix parse errors on bad markup
    Emit verbose messages on dependency failures
    Fix crash when getting dependencies.
* Thu Mar 27 2008 sreeves@suse.de
- Update to version 0.1.9.2
    Mem leak fixes
    Fix multiple popups on install
    Fix parse error causing missing name
* Fri Mar 14 2008 sreeves@suse.de
- Update version. Includes working "update system"
* Wed Mar  5 2008 sreeves@suse.de
- keep up with the new libzypp API
* Fri Feb 29 2008 coolo@suse.de
- make it compile again with new libzypp API
* Thu Feb 28 2008 sreeves@suse.de
- Update to ~0.1.9 (git pull on 2/28) release (with the policy file intltool
  calls patched out temporarily until we get a newer intltool in factory.
  add --enable-zypp to the configure line
* Tue Jan  8 2008 btimothy@suse.de
- Upgraded to 0.1.5 (released upstream).
- Added "--with-security-framework=polkit" to the configure.
* Mon Dec 10 2007 btimothy@suse.de
- Added extra directories to the %%files section so it'll build in
  factory.
* Fri Dec  7 2007 btimothy@suse.de
- Update to version 0.1.5git20071207a which does rudimentary
  package dependency checking.
* Tue Dec  4 2007 btimothy@suse.de
- Update to version 0.1.5git20071203f to fix a compiler error.
* Tue Dec  4 2007 btimothy@suse.de
- Update to version 0.1.5git20071203e which includes installed
  packages when getting the description of a package.
  pk-application uses this when you highlight an installed package.
* Tue Dec  4 2007 btimothy@suse.de
- Update to version 0.1.5git20071203d which includes installed
  packages when searching by name in addition to packages found in
  configured repositories.
* Tue Dec  4 2007 btimothy@suse.de
- Removed "= 1.1.3" for dbus-1 Requires line.
* Mon Dec  3 2007 btimothy@suse.de
- Update to version 0.1.5git20071203c.
- Added a couple new entries to the %%files section for
  pk-completion.bash and packagekit-bugreport.sh.
* Mon Dec  3 2007 btimothy@suse.de
- Update to version 0.1.5git20071203b.
* Mon Dec  3 2007 btimothy@suse.de
- Update to version 0.1.5git20071203a.
* Fri Nov 30 2007 btimothy@suse.de
- Update to version 0.1.5git20071130a (remove the dash).
* Fri Nov 30 2007 btimothy@suse.de
- Update to version 0.1.5-20071130a taken from git master.
* Wed Nov 21 2007 btimothy@suse.de
- Added a new tar.bz2 file to do rudimentary package install.
* Mon Nov 19 2007 btimothy@suse.de
- Adjusted to install the PackageKit.service for dbus into the
  /usr/share/dbus-1/system-services directory.  This is what
  allows the system activation stuff to work.
* Fri Nov 16 2007 btimothy@suse.de
- Grabbed new PackageKit-0.1.4.tar.bz2 built from this morning's
  git repo (has stubbed-out zypp backend).
- Configure so zypp is the default backend.
* Thu Nov 15 2007 jpr@suse.de
- Reduce requires, most of them are automatic
- Remove gcc from BuildRequires its automatic
* Thu Nov 15 2007 jpr@suse.de
- fix build on 64bit by not hardcoding "lib"
- make description a little more manageable
- use %%{py_requires} instead of hardcoded python
- use "devel" instead of "-n Package-devel" because adding the
  Package- partis automatic
* Wed Nov 14 2007 btimothy@suse.de
- Revert the last change and hardcode /usr/share because otherwise
  it gets installed to /dbus-1/services.  We'll have to figure this
  one out later.
* Wed Nov 14 2007 btimothy@suse.de
- Use %%{_datadir} instead of /usr/share when specifying where
  the dbus-1/services directory is at configure.
* Wed Nov 14 2007 btimothy@suse.de
- Specify /usr/share/dbus-1/services at configure so we don't have
  to modify the make install step.
* Tue Nov 13 2007 btimothy@suse.de
- init
